#header {
    width: 100%;
    margin: auto;
    // position: sticky;  //якщо я правильно зрозумів коментар, меню (та бургер) не скроляться а залишаються "за кадром"
    top: 0; 
    background-color: white; 
}

.menu-button {
    display: none;
    width: 44px;
    height: 37px;
    background-image: url("../img/menu-button.png"); 
    border: none;
    font-size: 25px; 
}

.pressed{ 
    background-image: url("../img/menu-button-2.png");
}

.active-menu{
    display: flex!important; 
}

.head-menu {
    display: flex;
    justify-content: center;
    gap: 64px;
    padding: 18px 0;
    margin: auto;

    li {
        list-style: none;
        display: flex;
        margin: 25px 0;

        a {
            text-decoration: none;
            text-transform: uppercase;
            color: $titles-color;
            @include text-size(11px, 400, 22px);
            letter-spacing: 1.1px;
        }

        a:hover {
            color: $hover-color;
        }
    }
}

@media screen and (max-width: 1200px) {
    .head-menu {
        gap: 34px;
    }

}

@media screen and (max-width: 768px) {

    header {
        position: relative; 
        background-color: transparent !important; 
        height: 83px;
        z-index: 10;

        .menu-button {
            display: block;
            position: absolute; 
            top: 23px; 
            right: 26px; 
        }

        .head-menu {
           display: none;
            flex-direction: column;
            width: 182px;
            gap: 0px;
            background: #F5F5F5;
            padding: 0;
            position: absolute;
            top: 60px;
            right: 26px;

           

            .selected {
                color: $hover-color;
                @include text-size(11px, 400, 22px);
                letter-spacing: 1.1px;
                text-transform: uppercase;
            }

            li {
                height: 32px;
                margin: auto 0;
                padding: 0 14px;
               
                a{
                    line-height: 32px;
                }
            }

            li:hover {
                background: #E5E5E5;
            }
        }
    }
}